set.cpp File Reference
`#include "test/set.hh"`
`#include <algorithm>`

Go to the source code of this file.

## Namespaces

namespace | Test
| General test support.
namespace | Test::Set
| Testing finite sets.

## Macros

#define | CHECK_TEST(T, M)
| Check the test result and handle failed test.
#define | START_TEST(T)
| Start new test.

## Functions

std::ostream & | operator<< (std::ostream &os, const Test::Set::SetAssignment &a)

## Macro Definition Documentation

## CHECK_TEST

#define CHECK_TEST | ( |  | T,
|  |  | M )

Value:
if (opt.log) \
olog << ind(3) << "Check: " << (M) << std::endl; \
if (!(T)) { \
problem = (M); delete s; goto failed; \
}
Test::Options::log
bool log
Whether to log the tests.
Definition test.hh:91

Check the test result and handle failed test.

Definition at line 702 of file set.cpp.

## START_TEST

#define START_TEST | ( |  | T | ) |

Value:
if (opt.log) { \
olog.str(""); \
olog << ind(2) << "Testing: " << (T) << std::endl; \
} \
test = (T);

Start new test.

Definition at line 710 of file set.cpp.

## Function Documentation

## operator<<()

std::ostream & operator<< | ( | std::ostream & | os,
|  | const Test::Set::SetAssignment & | a )

Definition at line 104 of file set.cpp.